
USE [WaspTrackInventory]
GO



IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[trLastUpdatedFilters]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER [dbo].[trLastUpdatedFilters]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		Christina Ye
-- Create date: 11/18/2008
-- Description:	
-- =============================================
CREATE TRIGGER [dbo].[trLastUpdatedFilters]
   ON  [dbo].[filters]
   AFTER INSERT,UPDATE
AS 
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    UPDATE [filters] SET last_updated = getdate() where filter_id = (select filter_id from inserted)

END
GO




IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[trLastUpdatedFilterDetails]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
DROP TRIGGER [dbo].[trLastUpdatedFilterDetails]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		Christina Ye
-- Create date: 11/18/2008
-- Description:	
-- =============================================
CREATE TRIGGER [dbo].[trLastUpdatedFilterDetails]
   ON  [dbo].[filter_details]
   AFTER INSERT,DELETE,UPDATE
AS 
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    UPDATE [filters] SET last_updated = getdate() where filter_id IN (select filter_id from inserted)

END
GO
